use dioxus::prelude::*;

#[component]
pub fn Auth() -> Element {
    let mut register = use_signal(|| false);

    rsx! {
        div {
            class: "card w-full max-w-lg bg-base-200 shadow-xl mx-auto mt-20",
            div {
                class: "card-body",
                div {
                    role: "tablist",
                    class: "tabs tabs-boxed bg-base-100",
                    button { onclick: move |_| register.set(false), role: "tab", class: "tab", class: if !register() { "tab-active" }, "Sign In" },
                    button { onclick: move |_| register.set(true), role: "tab", class: "tab", class: if register() { "tab-active" }, "Register" },
                }
                if register() {
                    Register {}
                } else {
                    Signin {}
                }
            }
        }
    }
}

#[component]
fn Signin() -> Element {
    rsx! {
        form {
            class: "card-body",
            div {
                class: "form-control",
                label {
                    class: "label",
                    span { class: "label-text", "Email" },
                },
                input {
                    r#type: "email",
                    placeholder: "email",
                    class: "input input-bordered",
                    required: true,
                },
            },
            div {
                class: "form-control",
                label {
                    class: "label",
                    span { class: "label-text", "Password" },
                },
                input {
                    r#type: "password",
                    placeholder: "password",
                    class: "input input-bordered",
                    required: true,
                },
                label {
                    class: "label",
                    a { class: "label-text-alt link link-hover", "Forgot password?" },
                },
            },
            div {
                class: "form-control mt-6",
                button {
                    class: "btn btn-primary",
                    "Sign In",
                },
            },
        }
    }
}

#[component]
fn Register() -> Element {
    rsx! {
        form {
            class: "card-body",
            div {
                class: "form-control",
                label {
                    class: "label",
                    span { class: "label-text", "Email" },
                },
                input {
                    r#type: "email",
                    placeholder: "email",
                    class: "input input-bordered",
                    required: true,
                },
            },
            div {
                class: "form-control",
                label {
                    class: "label",
                    span { class: "label-text", "Password" },
                },
                input {
                    r#type: "password",
                    placeholder: "password",
                    class: "input input-bordered",
                    required: true,
                },
            },
            div {
                class: "form-control",
                label {
                    class: "label",
                    span { class: "label-text", "Confirm password" },
                },
                input {
                    r#type: "password",
                    placeholder: "password",
                    class: "input input-bordered",
                    required: true,
                },
            },
            div {
                class: "form-control mt-6",
                button {
                    class: "btn btn-primary",
                    "Register",
                },
            },
        }
    }
}
