#![allow(non_snake_case)]
mod components;

use dioxus::prelude::*;
use tracing::{info, Level};

use components::auth::Auth;
use components::home::Home;
use components::layout::navbar::Navbar;

#[derive(Clone, Routable, Debug, PartialEq, serde::Serialize, serde::Deserialize)]
enum Route {
    #[route("/")]
    Home {},
    #[route("/auth")]
    Auth {},
}

fn main() {
    // Init logger
    dioxus_logger::init(Level::INFO).expect("failed to init logger");
    launch(App);
}

fn App() -> Element {
    rsx! {
        Navbar {},
        Router::<Route> {},
    }
}
